Teams
Create a team
POST
/api/teamsCreates a team with an access code and an owner. Administrators can specify a different user as the owner.
Try it
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Token returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>. |
Request body
| Name | Type | Description |
|---|---|---|
| namerequired | string | Display name of the resource. |
| ownerId | string |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| any[] | any[] |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL